# Documentation

Menu

## QRImagickTest extends QROutputTestAbstract
in package

FinalYes
QRImagickTest.php : 26

Tests the QRImagick output module

### Table of Contents

#### Constants

buildDir = 'output-test'

#### Properties

$matrix : QRMatrix
$options : SettingsContainerInterface|QROptions
$outputInterface : QROutputInterface
$_buildDir : string

#### Methods

moduleValueProvider() : array<string|int, mixed>
testOutputGetResource() : void
testRenderToCacheFile() : void
  coverage of the built-in output modules
testSaveException() : void
  Tests if an exception is thrown when trying to write a cache file to an invalid destination
testSetModuleValues() : void
  covers the module values settings
testValidateModuleValues() : void
createBuildDir() : void
  attempts to create the build dir
getBuildDir() : string
  returns the full (real) path to the given build path
getBuildFileContent() : string
  returns the contents of the given build file
getBuildFilePath() : string
  returns the full (real) path to the given build file
getBuildPath() : string
  returns the full raw path to the build dir
getOutputInterface() : QROutputInterface
setUp() : void
  Attempts to create a directory under /.build and instances several required objects

### Constants

#### buildDir

QROutputTestAbstract.php : 34
`protected mixed buildDir = 'output-test'`

### Properties

#### $matrix

QROutputTestAbstract.php : 32
`protected QRMatrix $matrix`

#### $options

QROutputTestAbstract.php : 30
`protected SettingsContainerInterface|QROptions $options`

#### $outputInterface

QROutputTestAbstract.php : 31
`protected QROutputInterface $outputInterface`

#### $_buildDir

BuildDirTrait.php : 22
`private string $_buildDir = __DIR__ . '/../.build/'`

### Methods

#### moduleValueProvider()

QRImagickTest.php : 44
`public static moduleValueProvider() : array<string|int, mixed>`

##### Return values

array<string|int, mixed>

#### testOutputGetResource()

QRImagickTest.php : 85
`public testOutputGetResource() : void`

#### testRenderToCacheFile()

QROutputTestAbstract.php : 84

coverage of the built-in output modules

`public testRenderToCacheFile() : void`

#### testSaveException()

QROutputTestAbstract.php : 55

Tests if an exception is thrown when trying to write a cache file to an invalid destination

`public testSaveException() : void`

#### testSetModuleValues()

QRImagickTest.php : 70

covers the module values settings

`public testSetModuleValues() : void`

#### testValidateModuleValues()

QROutputTestAbstract.php : 67
`public testValidateModuleValues(mixed $value, bool $expected) : void`

##### Parameters

$value : mixed
$expected : bool

##### Attributes

#[DataProvider]
  'moduleValueProvider'

#### createBuildDir()

BuildDirTrait.php : 36

attempts to create the build dir

`protected createBuildDir(string $subPath) : void`

##### Parameters

$subPath : string

##### Tags

throws
  RuntimeException

#### getBuildDir()

BuildDirTrait.php : 54

returns the full (real) path to the given build path

`protected getBuildDir([string $subPath = '' ]) : string`

##### Parameters

$subPath : string = ''

##### Tags

throws
  RuntimeException

##### Return values

string

#### getBuildFileContent()

BuildDirTrait.php : 88

returns the contents of the given build file

`protected getBuildFileContent(string $fileSubPath) : string`

##### Parameters

$fileSubPath : string

##### Tags

throws
  RuntimeException

##### Return values

string

#### getBuildFilePath()

BuildDirTrait.php : 69

returns the full (real) path to the given build file

`protected getBuildFilePath(string $fileSubPath) : string`

##### Parameters

$fileSubPath : string

##### Tags

throws
  RuntimeException

##### Return values

string

#### getBuildPath()

BuildDirTrait.php : 27

returns the full raw path to the build dir

`protected getBuildPath(string $subPath) : string`

##### Parameters

$subPath : string

##### Return values

string

#### getOutputInterface()

QRImagickTest.php : 37
`protected getOutputInterface(SettingsContainerInterface|QROptions $options, QRMatrix $matrix) : QROutputInterface`

##### Parameters

$options : SettingsContainerInterface|QROptions
$matrix : QRMatrix

##### Return values

QROutputInterface

#### setUp()

QRImagickTest.php : 28

Attempts to create a directory under /.build and instances several required objects

`protected setUp() : void`

## Search results